<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: Error_from_formula.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('Error__from__formula_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Error_from_formula.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceError__from__formula"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html">Error_from_formula</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad296a2cf6f284d8fa6a0424cb1240f6a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ad296a2cf6f284d8fa6a0424cb1240f6a">Error_from_formula.NSPS</a> = np.arange(10, 101, 10, dtype=int)</td></tr>
<tr class="separator:ad296a2cf6f284d8fa6a0424cb1240f6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24a4c55230665c37c91bed461c773346"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a24a4c55230665c37c91bed461c773346">Error_from_formula.scores</a> = []</td></tr>
<tr class="separator:a24a4c55230665c37c91bed461c773346"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad03046f681e9f491fa725eb19263a66c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ad03046f681e9f491fa725eb19263a66c">Error_from_formula.Learn</a></td></tr>
<tr class="separator:ad03046f681e9f491fa725eb19263a66c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9c2437edd310523113f2c526164c24d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ad9c2437edd310523113f2c526164c24d">Error_from_formula.momLabels</a></td></tr>
<tr class="separator:ad9c2437edd310523113f2c526164c24d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8734e3661c151e07257feb2cc853a4e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ab8734e3661c151e07257feb2cc853a4e">Error_from_formula.momData</a></td></tr>
<tr class="separator:ab8734e3661c151e07257feb2cc853a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1b60ea2b4c6900ca1c69e88b2330bca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ae1b60ea2b4c6900ca1c69e88b2330bca">Error_from_formula.NDatasets</a></td></tr>
<tr class="separator:ae1b60ea2b4c6900ca1c69e88b2330bca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af32dec7c32a7922af08f601b0601296d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#af32dec7c32a7922af08f601b0601296d">Error_from_formula.DataString</a> = SpaceString(inp.momData)</td></tr>
<tr class="separator:af32dec7c32a7922af08f601b0601296d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a82196f341d85a86aa56b1db186faf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a57a82196f341d85a86aa56b1db186faf">Error_from_formula.LabelString</a> = SpaceString(inp.momLabels)</td></tr>
<tr class="separator:a57a82196f341d85a86aa56b1db186faf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1039030070c3641cfaa360f39efdae4f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a1039030070c3641cfaa360f39efdae4f">Error_from_formula.fname</a> = 'Errors_'+inp.Learn+'_in_'+LabelString+'_from_SSS_in_'+DataString+'_from_formula_'+str(inp.NDatasets)+'_datasets'</td></tr>
<tr class="separator:a1039030070c3641cfaa360f39efdae4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae63318afdd19bfaec391c1ff8a70a46d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ae63318afdd19bfaec391c1ff8a70a46d">Error_from_formula.NShotsPerSample</a></td></tr>
<tr class="separator:ae63318afdd19bfaec391c1ff8a70a46d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac400bab78444b45e9b22c639789ac13d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ac400bab78444b45e9b22c639789ac13d">Error_from_formula.NShots</a></td></tr>
<tr class="separator:ac400bab78444b45e9b22c639789ac13d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab07f22198a05d4dbcfb251fa7a29620e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ab07f22198a05d4dbcfb251fa7a29620e">Error_from_formula.training_generator</a></td></tr>
<tr class="separator:ab07f22198a05d4dbcfb251fa7a29620e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f4f40c024fac5f754d91748cae32910"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a5f4f40c024fac5f754d91748cae32910">Error_from_formula.validation_generator</a></td></tr>
<tr class="separator:a5f4f40c024fac5f754d91748cae32910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37226b8fbd862527dd3bbfe23e894b6a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a37226b8fbd862527dd3bbfe23e894b6a">Error_from_formula.X_train</a></td></tr>
<tr class="separator:a37226b8fbd862527dd3bbfe23e894b6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62a7a11911f581b8768acb82d4b72834"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a62a7a11911f581b8768acb82d4b72834">Error_from_formula.y_train</a></td></tr>
<tr class="separator:a62a7a11911f581b8768acb82d4b72834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd8d2f8bb7982fd02cd8ef45f3398fa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a9cd8d2f8bb7982fd02cd8ef45f3398fa">Error_from_formula.X_val</a></td></tr>
<tr class="separator:a9cd8d2f8bb7982fd02cd8ef45f3398fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99bb8ee6aaf98880a1bc7f0c081aa487"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a99bb8ee6aaf98880a1bc7f0c081aa487">Error_from_formula.y_val</a> = np.array(y_val)</td></tr>
<tr class="separator:a99bb8ee6aaf98880a1bc7f0c081aa487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec455ef2fda09fb10d162e2634e4a62"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a9ec455ef2fda09fb10d162e2634e4a62">Error_from_formula.x_data</a> = np.reshape(np.concatenate((np.array(X_train),np.array(X_val))),(inp.NDatasets,256,i))</td></tr>
<tr class="separator:a9ec455ef2fda09fb10d162e2634e4a62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43fa82ea4df64ba7a41442b91505cc62"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a43fa82ea4df64ba7a41442b91505cc62">Error_from_formula.y_data</a> = np.reshape(np.concatenate((np.array(y_train),np.array(y_val))),(inp.NDatasets,256*256))</td></tr>
<tr class="separator:a43fa82ea4df64ba7a41442b91505cc62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe4d829bab03c482879fbe7b32e1b18"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#acbe4d829bab03c482879fbe7b32e1b18">Error_from_formula.thiserr</a> = []</td></tr>
<tr class="separator:acbe4d829bab03c482879fbe7b32e1b18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eb5d62c1b448af1dcbb45b48b4f377b"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a9eb5d62c1b448af1dcbb45b48b4f377b">Error_from_formula.rho2</a> = []</td></tr>
<tr class="separator:a9eb5d62c1b448af1dcbb45b48b4f377b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9879ab45ea6506c4e40e6f7366a05d3b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a9879ab45ea6506c4e40e6f7366a05d3b">Error_from_formula.local_err</a> = y_data[j,:]/83.0-np.reshape(rho2,inp.Npoints*inp.Npoints)</td></tr>
<tr class="separator:a9879ab45ea6506c4e40e6f7366a05d3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a779b530d5c8929c96a3e79fb856f24be"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a779b530d5c8929c96a3e79fb856f24be">Error_from_formula.rho</a> = []</td></tr>
<tr class="separator:a779b530d5c8929c96a3e79fb856f24be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76525716c2b159ae5753774e5465e89e"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a76525716c2b159ae5753774e5465e89e">Error_from_formula.legend</a> = []</td></tr>
<tr class="separator:a76525716c2b159ae5753774e5465e89e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45ca3a07b1e03e047bcdabb841440bd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#ad45ca3a07b1e03e047bcdabb841440bd">Error_from_formula.fig</a></td></tr>
<tr class="separator:ad45ca3a07b1e03e047bcdabb841440bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d3cd28f6297788f275a22b8e9a54d01"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a7d3cd28f6297788f275a22b8e9a54d01">Error_from_formula.ax</a></td></tr>
<tr class="separator:a7d3cd28f6297788f275a22b8e9a54d01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c7ebbbf2987f3bf88438e2ad604abd9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a9c7ebbbf2987f3bf88438e2ad604abd9">Error_from_formula.yerr</a></td></tr>
<tr class="separator:a9c7ebbbf2987f3bf88438e2ad604abd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add48064858cb437492f5cda4284996fc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#add48064858cb437492f5cda4284996fc">Error_from_formula.fmt</a></td></tr>
<tr class="separator:add48064858cb437492f5cda4284996fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e93e436e4753aecf27e468b32b38a71"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a9e93e436e4753aecf27e468b32b38a71">Error_from_formula.ecolor</a></td></tr>
<tr class="separator:a9e93e436e4753aecf27e468b32b38a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add23db8cfee06e1528e2b922d806fe0a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#add23db8cfee06e1528e2b922d806fe0a">Error_from_formula.loc</a></td></tr>
<tr class="separator:add23db8cfee06e1528e2b922d806fe0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc329c7f9fb94d5e3ca55704f7b9db42"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#abc329c7f9fb94d5e3ca55704f7b9db42">Error_from_formula.xlabel</a></td></tr>
<tr class="separator:abc329c7f9fb94d5e3ca55704f7b9db42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a956f7dad6cd2e240a612bbcfe9dabb13"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceError__from__formula.html#a956f7dad6cd2e240a612bbcfe9dabb13">Error_from_formula.ylabel</a></td></tr>
<tr class="separator:a956f7dad6cd2e240a612bbcfe9dabb13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a99460a110e45e1c097e0bfe5371289aa"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a99460a110e45e1c097e0bfe5371289aa">ModelTrainingAndValidation.ApplyInterpolation</a></div><div class="ttdeci">def ApplyInterpolation(y_data, y_data_interpolation)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:70</div></div>
<div class="ttc" id="anamespaceDataPreprocessing_html_a4ecc639336f5b26079e3be77f2b4234e"><div class="ttname"><a href="namespaceDataPreprocessing.html#a4ecc639336f5b26079e3be77f2b4234e">DataPreprocessing.data_refiner</a></div><div class="ttdeci">def data_refiner(x_data, y_data)</div><div class="ttdoc">DATA EXTRACTION #########.</div><div class="ttdef"><b>Definition:</b> DataPreprocessing.py:82</div></div>
<div class="ttc" id="anamespaceDataLoading_html_af68ec15e12cfe670c6b8851f18b3d30c"><div class="ttname"><a href="namespaceDataLoading.html#af68ec15e12cfe670c6b8851f18b3d30c">DataLoading.data_ID_loader</a></div><div class="ttdeci">def data_ID_loader(**kwargs)</div><div class="ttdoc">IMPORT DATASET AND LABELS.</div><div class="ttdef"><b>Definition:</b> DataLoading.py:34</div></div>
<div class="ttc" id="anamespaceDataPreprocessing_html_ace35eb6e7cfad1b386f883bf66fa46cd"><div class="ttname"><a href="namespaceDataPreprocessing.html#ace35eb6e7cfad1b386f883bf66fa46cd">DataPreprocessing.main</a></div><div class="ttdeci">def main(x_data, y_data)</div><div class="ttdef"><b>Definition:</b> DataPreprocessing.py:21</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_ae55e7353bbb663bb301b753aa90b821c"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#ae55e7353bbb663bb301b753aa90b821c">DataGenerator.DataGenerator.list_IDs</a></div><div class="ttdeci">list_IDs</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:109</div></div>
<div class="ttc" id="anamespaceVisualization_html_a73d38fab201e34e1f619cb4302ccf090"><div class="ttname"><a href="namespaceVisualization.html#a73d38fab201e34e1f619cb4302ccf090">Visualization.grid_display</a></div><div class="ttdeci">def grid_display(list_of_images, list_of_titles=[], no_of_columns=2, figsize=(10, 10))</div><div class="ttdef"><b>Definition:</b> Visualization.py:572</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_ae4352b306f7121ca83277211944d3735"><div class="ttname"><a href="namespacerel__phase__package.html#ae4352b306f7121ca83277211944d3735">rel_phase_package.circular_var</a></div><div class="ttdeci">def circular_var(phases)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:126</div></div>
<div class="ttc" id="anamespaceVisualization_html_acefb83c8448ce68974698f7c4f9c71bb"><div class="ttname"><a href="namespaceVisualization.html#acefb83c8448ce68974698f7c4f9c71bb">Visualization.folder_creation</a></div><div class="ttdeci">def folder_creation()</div><div class="ttdef"><b>Definition:</b> Visualization.py:677</div></div>
<div class="ttc" id="anamespaceVisualization_html_a0cbd305495c4edc4a0b18173f8d1877e"><div class="ttname"><a href="namespaceVisualization.html#a0cbd305495c4edc4a0b18173f8d1877e">Visualization.SaveHistoryToFile</a></div><div class="ttdeci">def SaveHistoryToFile(HISTORY, keys, HistoryFileName)</div><div class="ttdef"><b>Definition:</b> Visualization.py:536</div></div>
<div class="ttc" id="anamespaceDataPreprocessing_html_a5e333363ba6bfe04e84ed7e6de986596"><div class="ttname"><a href="namespaceDataPreprocessing.html#a5e333363ba6bfe04e84ed7e6de986596">DataPreprocessing.manipulate_super_regr</a></div><div class="ttdeci">def manipulate_super_regr(x_data, y_data, NDatasetsNew)</div><div class="ttdoc">DATA MANIPULATION FOR SUPERVISED REGRESSION #########.</div><div class="ttdef"><b>Definition:</b> DataPreprocessing.py:180</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a05c6e6a4e81a24473fd1f4ff5d6f10b8"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a05c6e6a4e81a24473fd1f4ff5d6f10b8">ModelTrainingAndValidation.ModelEvaluation</a></div><div class="ttdeci">def ModelEvaluation(*args)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:415</div></div>
<div class="ttc" id="aclassHyperParameterOpt__Worker_1_1MyWorker_html_ae81ed55a33370e0e62e82ddd3a5ead2e"><div class="ttname"><a href="classHyperParameterOpt__Worker_1_1MyWorker.html#ae81ed55a33370e0e62e82ddd3a5ead2e">HyperParameterOpt_Worker.MyWorker.get_configspace</a></div><div class="ttdeci">def get_configspace()</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt_Worker.py:98</div></div>
<div class="ttc" id="anamespaceVisualization_html_a43afb30fea9bb592e6925646551a7772"><div class="ttname"><a href="namespaceVisualization.html#a43afb30fea9bb592e6925646551a7772">Visualization.plot_predictions</a></div><div class="ttdeci">def plot_predictions(y_test, test_predictions, NViz, ss_label, space_label)</div><div class="ttdoc">PLOT OF THE PREDICTIONS FOR SUPERVISED REGRESSION FROM SINGLE SHOTS ###.</div><div class="ttdef"><b>Definition:</b> Visualization.py:198</div></div>
<div class="ttc" id="anamespacefunctions_html_afea643718472b07f3fc3e34ffeaa31b2"><div class="ttname"><a href="namespacefunctions.html#afea643718472b07f3fc3e34ffeaa31b2">functions.SpaceString</a></div><div class="ttdeci">def SpaceString(selector)</div><div class="ttdef"><b>Definition:</b> functions.py:13</div></div>
<div class="ttc" id="anamespaceHyperParameterOpt_html_a0a422eb6c6e046aadb27c2a15103eb89"><div class="ttname"><a href="namespaceHyperParameterOpt.html#a0a422eb6c6e046aadb27c2a15103eb89">HyperParameterOpt.int</a></div><div class="ttdeci">int</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt.py:22</div></div>
<div class="ttc" id="anamespacetest__interpolate__spline_html_a534bc19be20f324977e460b681c05c37"><div class="ttname"><a href="namespacetest__interpolate__spline.html#a534bc19be20f324977e460b681c05c37">test_interpolate_spline.ApplyInterpolation</a></div><div class="ttdeci">def ApplyInterpolation(y_data, y_data_interpolation)</div><div class="ttdef"><b>Definition:</b> test_interpolate_spline.py:10</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_ab9e5a4f64add0e89a8ff25ed1a20269d"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#ab9e5a4f64add0e89a8ff25ed1a20269d">ModelTrainingAndValidation.LogCosh_plus_LogMSE_plus_MAE</a></div><div class="ttdeci">def LogCosh_plus_LogMSE_plus_MAE(y_true, y_pred)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:170</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_aa10d14c5a1a04e89d2a2223471730cef"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#aa10d14c5a1a04e89d2a2223471730cef">ModelTrainingAndValidation.LogCosh_plus_LogMSE</a></div><div class="ttdeci">def LogCosh_plus_LogMSE(y_true, y_pred)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:158</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a5579cf6c9e1ee008204d7da0deb7751d"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a5579cf6c9e1ee008204d7da0deb7751d">ModelTrainingAndValidation.main</a></div><div class="ttdeci">def main(*args, **kwargs)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:177</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_aea0ba4080fc9ce97be54a8ad8e1e97a6"><div class="ttname"><a href="namespacerel__phase__package.html#aea0ba4080fc9ce97be54a8ad8e1e97a6">rel_phase_package.initial_fit</a></div><div class="ttdeci">def initial_fit(xdata, ydata, freq_min, bound, plot=1)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:24</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_a55abe676e9383fa3519e42abc87ea861"><div class="ttname"><a href="namespacerel__phase__package.html#a55abe676e9383fa3519e42abc87ea861">rel_phase_package.scatterplot</a></div><div class="ttdeci">def scatterplot(phases, contrasts)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:102</div></div>
<div class="ttc" id="anamespacefunctions_html_ae7a68c2825b4e9d0d711bb0f719994ee"><div class="ttname"><a href="namespacefunctions.html#ae7a68c2825b4e9d0d711bb0f719994ee">functions.randomize</a></div><div class="ttdeci">def randomize(a, b)</div><div class="ttdef"><b>Definition:</b> functions.py:85</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_af9c49f1d700eda96603558150b259a43"><div class="ttname"><a href="namespacerel__phase__package.html#af9c49f1d700eda96603558150b259a43">rel_phase_package.extract_info</a></div><div class="ttdeci">def extract_info(filename, freq_min)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:168</div></div>
<div class="ttc" id="anamespacefunctions_html_ac05d55b17715bb2aa44d6a5e9cf2b653"><div class="ttname"><a href="namespacefunctions.html#ac05d55b17715bb2aa44d6a5e9cf2b653">functions.replaceAll</a></div><div class="ttdeci">def replaceAll(file, searchExp, replaceExp)</div><div class="ttdef"><b>Definition:</b> functions.py:67</div></div>
<div class="ttc" id="anamespacefunctions_html_a3c73a4a300ca2304eb2541a49bb164af"><div class="ttname"><a href="namespacefunctions.html#a3c73a4a300ca2304eb2541a49bb164af">functions.normalizer</a></div><div class="ttdeci">def normalizer(array)</div><div class="ttdef"><b>Definition:</b> functions.py:93</div></div>
<div class="ttc" id="anamespaceHyperParameterOpt_html_ae2f767c75eeaaf4c96c920f744125034"><div class="ttname"><a href="namespaceHyperParameterOpt.html#ae2f767c75eeaaf4c96c920f744125034">HyperParameterOpt.type</a></div><div class="ttdeci">type</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt.py:20</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_a7185c14d23023742be56ca5b7224f909"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#a7185c14d23023742be56ca5b7224f909">DataGenerator.DataGenerator.shuffle</a></div><div class="ttdeci">shuffle</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:112</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_af7c7382d42589edf3b18251a041613bf"><div class="ttname"><a href="namespacerel__phase__package.html#af7c7382d42589edf3b18251a041613bf">rel_phase_package.gauss</a></div><div class="ttdeci">def gauss(x, amp, wid)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:9</div></div>
<div class="ttc" id="anamespacefunctions_html_aabf197d58ee420823356f87ee129602c"><div class="ttname"><a href="namespacefunctions.html#aabf197d58ee420823356f87ee129602c">functions.Rho2FromSS</a></div><div class="ttdeci">def Rho2FromSS(SingleShots, NShots, Npoints)</div><div class="ttdef"><b>Definition:</b> functions.py:43</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_a84c456c236449af1bda2d8448a120bbd"><div class="ttname"><a href="namespacerel__phase__package.html#a84c456c236449af1bda2d8448a120bbd">rel_phase_package.Pmodel</a></div><div class="ttdeci">def Pmodel(x, amp, wid, con, freq, phase)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:13</div></div>
<div class="ttc" id="anamespacefunctions_html_a25b1c46bb85026d6872f6baa1b0cb39d"><div class="ttname"><a href="namespacefunctions.html#a25b1c46bb85026d6872f6baa1b0cb39d">functions.RhoFromSS</a></div><div class="ttdeci">def RhoFromSS(SingleShots, NShots, Npoints)</div><div class="ttdef"><b>Definition:</b> functions.py:57</div></div>
<div class="ttc" id="anamespaceDataLoading_html_a7abc224cc999267b7b760c0349fe2d8b"><div class="ttname"><a href="namespaceDataLoading.html#a7abc224cc999267b7b760c0349fe2d8b">DataLoading.DataThresholdSelection</a></div><div class="ttdeci">def DataThresholdSelection(IDs_tot, Low, High, NDatasets)</div><div class="ttdef"><b>Definition:</b> DataLoading.py:406</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_a1a4c2a1fe6608902011f55546845348c"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#a1a4c2a1fe6608902011f55546845348c">DataGenerator.DataGenerator.indexes</a></div><div class="ttdeci">indexes</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:140</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a650e92b7a7a317d022f0fd8cb4c344b9"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a650e92b7a7a317d022f0fd8cb4c344b9">ModelTrainingAndValidation.shape</a></div><div class="ttdeci">def shape(tensor)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:53</div></div>
<div class="ttc" id="anamespaceVisualization_html_af8daf19078ed2a4a872bcbeccabe518e"><div class="ttname"><a href="namespaceVisualization.html#af8daf19078ed2a4a872bcbeccabe518e">Visualization.plot_history</a></div><div class="ttdeci">def plot_history(history, ss_label, space_label)</div><div class="ttdef"><b>Definition:</b> Visualization.py:73</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_aec956ee305acab30abf63e2a445505bd"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#aec956ee305acab30abf63e2a445505bd">DataGenerator.DataGenerator.__data_generation</a></div><div class="ttdeci">def __data_generation(self, list_IDs_temp, indexes)</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:145</div></div>
<div class="ttc" id="anamespacefunctions_html_a4c95677a87cbd79997ae90c642481e6f"><div class="ttname"><a href="namespacefunctions.html#a4c95677a87cbd79997ae90c642481e6f">functions.G2FromSS</a></div><div class="ttdeci">def G2FromSS(SingleShots, NShots, Npoints)</div><div class="ttdef"><b>Definition:</b> functions.py:23</div></div>
<div class="ttc" id="anamespacetest__interpolate__spline_html_aa6e71835b720933b3a5651c87c06b268"><div class="ttname"><a href="namespacetest__interpolate__spline.html#aa6e71835b720933b3a5651c87c06b268">test_interpolate_spline.assign_variable_slice</a></div><div class="ttdeci">def assign_variable_slice(slices, values, var)</div><div class="ttdef"><b>Definition:</b> test_interpolate_spline.py:41</div></div>
<div class="ttc" id="anamespaceVisualization_html_a4b2928dd15b353ec07a1fa887276b1c2"><div class="ttname"><a href="namespaceVisualization.html#a4b2928dd15b353ec07a1fa887276b1c2">Visualization.result_averaging</a></div><div class="ttdeci">def result_averaging(y_test, test_predictions)</div><div class="ttdef"><b>Definition:</b> Visualization.py:597</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a3045311deffce99c6b5ed3bd03337189"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a3045311deffce99c6b5ed3bd03337189">ModelTrainingAndValidation.LogCosh_plus_MAE</a></div><div class="ttdeci">def LogCosh_plus_MAE(y_true, y_pred)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:152</div></div>
<div class="ttc" id="anamespaceDataPreprocessing_html_a572bfacb4940450fde8962067188cf8c"><div class="ttname"><a href="namespaceDataPreprocessing.html#a572bfacb4940450fde8962067188cf8c">DataPreprocessing.manipulate_super_class</a></div><div class="ttdeci">def manipulate_super_class()</div><div class="ttdoc">DATA MANIPULATION FOR SUPERVISED CLASSIFICATION #########.</div><div class="ttdef"><b>Definition:</b> DataPreprocessing.py:309</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_a34e8a22c37de317d38f571b5c74b5168"><div class="ttname"><a href="namespacerel__phase__package.html#a34e8a22c37de317d38f571b5c74b5168">rel_phase_package.circular_mean</a></div><div class="ttdeci">def circular_mean(phases)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:135</div></div>
<div class="ttc" id="anamespaceDataPreprocessing_html_ae9b16921a74f9674a2b055e128262098"><div class="ttname"><a href="namespaceDataPreprocessing.html#ae9b16921a74f9674a2b055e128262098">DataPreprocessing.manipulate_unsuper_class</a></div><div class="ttdeci">def manipulate_unsuper_class()</div><div class="ttdoc">DATA MANIPULATION FOR UNSUPERVISED CLASSIFICATION #######.</div><div class="ttdef"><b>Definition:</b> DataPreprocessing.py:335</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a529ed0b566655157e5fb81ae5bc23b75"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a529ed0b566655157e5fb81ae5bc23b75">ModelTrainingAndValidation.make_variable</a></div><div class="ttdeci">def make_variable(tuple, initializer)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:49</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_a6afdecb72e5e39000b412f802347a8db"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#a6afdecb72e5e39000b412f802347a8db">DataGenerator.DataGenerator.__init__</a></div><div class="ttdeci">def __init__(self, list_IDs, shuffle=True, batch_size=5)</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:105</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a6f60fccdbb730a0dce44691860f82bce"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a6f60fccdbb730a0dce44691860f82bce">ModelTrainingAndValidation.MSE_plus_MAE</a></div><div class="ttdeci">def MSE_plus_MAE(y_true, y_pred)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:142</div></div>
<div class="ttc" id="anamespaceModels_html_ac785fd56669d402cf0f830c60c9d4e89"><div class="ttname"><a href="namespaceModels.html#ac785fd56669d402cf0f830c60c9d4e89">Models.clear</a></div><div class="ttdeci">def clear()</div><div class="ttdef"><b>Definition:</b> Models.py:30</div></div>
<div class="ttc" id="anamespaceRuntime__check_html_a3e0d4aac87e7ff2cdcc16c694c17548f"><div class="ttname"><a href="namespaceRuntime__check.html#a3e0d4aac87e7ff2cdcc16c694c17548f">Runtime_check.runtime_checks</a></div><div class="ttdeci">def runtime_checks()</div><div class="ttdef"><b>Definition:</b> Runtime_check.py:7</div></div>
<div class="ttc" id="anamespaceModels_html_a41afcd8240c50d2a1610b0d1a179fe44"><div class="ttname"><a href="namespaceModels.html#a41afcd8240c50d2a1610b0d1a179fe44">Models.archive</a></div><div class="ttdeci">def archive(Model_Name)</div><div class="ttdoc">NEURAL NETWORK STRUCTURES IN DATABASE.</div><div class="ttdef"><b>Definition:</b> Models.py:282</div></div>
<div class="ttc" id="anamespaceDataLoading_html_a17f2d4738b0aa5b95712c56df5e514e8"><div class="ttname"><a href="namespaceDataLoading.html#a17f2d4738b0aa5b95712c56df5e514e8">DataLoading.extractor</a></div><div class="ttdeci">def extractor(WhichData, DataFileName, K)</div><div class="ttdef"><b>Definition:</b> DataLoading.py:267</div></div>
<div class="ttc" id="anamespaceModels_html_a0808de615f17f18092eb737f96e50e41"><div class="ttname"><a href="namespaceModels.html#a0808de615f17f18092eb737f96e50e41">Models.default</a></div><div class="ttdeci">def default()</div><div class="ttdoc">DEFAULT NEURAL NETWORK STRUCTURES.</div><div class="ttdef"><b>Definition:</b> Models.py:38</div></div>
<div class="ttc" id="aclassHyperParameterOpt__Worker_1_1MyWorker_html_a4d5e945c7fe135acfda3d1065f4a70a5"><div class="ttname"><a href="classHyperParameterOpt__Worker_1_1MyWorker.html#a4d5e945c7fe135acfda3d1065f4a70a5">HyperParameterOpt_Worker.MyWorker.y_val</a></div><div class="ttdeci">y_val</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt_Worker.py:28</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_ab296e5b081f8b93e0df2a93f5b8baae1"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#ab296e5b081f8b93e0df2a93f5b8baae1">DataGenerator.DataGenerator.batch_size</a></div><div class="ttdeci">batch_size</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:108</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_adccd9812db98fbc8beaddd4fb8251607"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#adccd9812db98fbc8beaddd4fb8251607">DataGenerator.DataGenerator.__getitem__</a></div><div class="ttdeci">def __getitem__(self, index)</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:121</div></div>
<div class="ttc" id="anamespacePlotInteractiveHyperParameterOpt_html_a8f95eaaf452935bc61f23abd8d5a10ea"><div class="ttname"><a href="namespacePlotInteractiveHyperParameterOpt.html#a8f95eaaf452935bc61f23abd8d5a10ea">PlotInteractiveHyperParameterOpt.realtime_learning_curves</a></div><div class="ttdeci">def realtime_learning_curves(runs)</div><div class="ttdef"><b>Definition:</b> PlotInteractiveHyperParameterOpt.py:26</div></div>
<div class="ttc" id="anamespaceDataGenerator_html_aef334ccd6d39af2007158131ef8c328d"><div class="ttname"><a href="namespaceDataGenerator.html#aef334ccd6d39af2007158131ef8c328d">DataGenerator.InitializeDataGenerators</a></div><div class="ttdeci">def InitializeDataGenerators()</div><div class="ttdoc">DATA GENERATOR INITIALIZATION #########.</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:22</div></div>
<div class="ttc" id="anamespacetest__interpolate__spline_html_a99efce0d23401dbb3220e3bf8e5c5df7"><div class="ttname"><a href="namespacetest__interpolate__spline.html#a99efce0d23401dbb3220e3bf8e5c5df7">test_interpolate_spline.make_variable</a></div><div class="ttdeci">def make_variable(tuple, initializer)</div><div class="ttdef"><b>Definition:</b> test_interpolate_spline.py:36</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_abd1b230c5f6ce61841adc06094117552"><div class="ttname"><a href="namespacerel__phase__package.html#abd1b230c5f6ce61841adc06094117552">rel_phase_package.plot_phase_histogram</a></div><div class="ttdeci">def plot_phase_histogram(phases, n_bins=15, hist_limits_x=None, hist_limits_y=None)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:293</div></div>
<div class="ttc" id="anamespacefunctions_html_a8d6a8fb04ab55a57fa14d11cd1b06a5f"><div class="ttname"><a href="namespacefunctions.html#a8d6a8fb04ab55a57fa14d11cd1b06a5f">functions.RunThis</a></div><div class="ttdeci">def RunThis(command)</div><div class="ttdef"><b>Definition:</b> functions.py:74</div></div>
<div class="ttc" id="anamespaceDataLoading_html_aa3137bfdbe24792bb99e4236e009afb3"><div class="ttname"><a href="namespaceDataLoading.html#aa3137bfdbe24792bb99e4236e009afb3">DataLoading.label_ID_loader</a></div><div class="ttdeci">def label_ID_loader(DataNameComplete, **kwargs)</div><div class="ttdef"><b>Definition:</b> DataLoading.py:175</div></div>
<div class="ttc" id="aclassHyperParameterOpt__Worker_1_1MyWorker_html"><div class="ttname"><a href="classHyperParameterOpt__Worker_1_1MyWorker.html">HyperParameterOpt_Worker.MyWorker</a></div><div class="ttdef"><b>Definition:</b> HyperParameterOpt_Worker.py:18</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_ad27c49ce16f621987a45605736ab0606"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#ad27c49ce16f621987a45605736ab0606">ModelTrainingAndValidation.Interpolation_MSE</a></div><div class="ttdeci">def Interpolation_MSE(y_true, y_pred)</div><div class="ttdoc">Custom Loss function evaluating the error of an interpolation.</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:96</div></div>
<div class="ttc" id="anamespaceHyperParameterOpt_html_a2c723b4bf5a88d2182fc25870c8e6423"><div class="ttname"><a href="namespaceHyperParameterOpt.html#a2c723b4bf5a88d2182fc25870c8e6423">HyperParameterOpt.str</a></div><div class="ttdeci">str</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt.py:24</div></div>
<div class="ttc" id="anamespaceHyperParameterOpt_html_aaea29d8c00f5c3fe1d5d6e22b08eb9de"><div class="ttname"><a href="namespaceHyperParameterOpt.html#aaea29d8c00f5c3fe1d5d6e22b08eb9de">HyperParameterOpt.float</a></div><div class="ttdeci">float</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt.py:20</div></div>
<div class="ttc" id="aclassHyperParameterOpt__Worker_1_1MyWorker_html_adcaf2268c25bbb1fa6ea2fabe201c153"><div class="ttname"><a href="classHyperParameterOpt__Worker_1_1MyWorker.html#adcaf2268c25bbb1fa6ea2fabe201c153">HyperParameterOpt_Worker.MyWorker.__init__</a></div><div class="ttdeci">def __init__(self, *args, sleep_interval=0, **kwargs)</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt_Worker.py:20</div></div>
<div class="ttc" id="anamespaceDataPreprocessing_html_af59d209efc6b1366fcc1e01eea475089"><div class="ttname"><a href="namespaceDataPreprocessing.html#af59d209efc6b1366fcc1e01eea475089">DataPreprocessing.manipulate_unsuper_regr</a></div><div class="ttdeci">def manipulate_unsuper_regr()</div><div class="ttdoc">DATA MANIPULATION FOR UNSUPERVISED REGRESSION #########.</div><div class="ttdef"><b>Definition:</b> DataPreprocessing.py:322</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html">DataGenerator.DataGenerator</a></div><div class="ttdef"><b>Definition:</b> DataGenerator.py:102</div></div>
<div class="ttc" id="anamespacefunctions_html_a4d7bdc1fbb7831d7783a0821d6fc1594"><div class="ttname"><a href="namespacefunctions.html#a4d7bdc1fbb7831d7783a0821d6fc1594">functions.histogrammer</a></div><div class="ttdeci">def histogrammer(data, LowerBound=-np.pi, UpperBound=np.pi, Bins=100)</div><div class="ttdef"><b>Definition:</b> functions.py:105</div></div>
<div class="ttc" id="anamespaceModels_html_afc2b1371082a1ff8e6b9dcdd23feffb5"><div class="ttname"><a href="namespaceModels.html#afc2b1371082a1ff8e6b9dcdd23feffb5">Models.custom</a></div><div class="ttdeci">def custom(**kwargs)</div><div class="ttdoc">CUSTOM NEURAL NETWORK STRUCTURES.</div><div class="ttdef"><b>Definition:</b> Models.py:119</div></div>
<div class="ttc" id="anamespaceVisualization_html_a62d0cb2bb32d0d72a646e25d79f06169"><div class="ttname"><a href="namespaceVisualization.html#a62d0cb2bb32d0d72a646e25d79f06169">Visualization.AddKeysToPlot</a></div><div class="ttdeci">def AddKeysToPlot(PLOT, HISTORY, keys, pattern, legend)</div><div class="ttdef"><b>Definition:</b> Visualization.py:559</div></div>
<div class="ttc" id="anamespaceVisualization_html_a2fc558414972b571432b236ce40595c7"><div class="ttname"><a href="namespaceVisualization.html#a2fc558414972b571432b236ce40595c7">Visualization.main</a></div><div class="ttdeci">def main(y_test, history, test_predictions, NViz)</div><div class="ttdef"><b>Definition:</b> Visualization.py:37</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_af71602edb2717e31f02c4ac04f76ee5a"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#af71602edb2717e31f02c4ac04f76ee5a">DataGenerator.DataGenerator.on_epoch_end</a></div><div class="ttdeci">def on_epoch_end(self)</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:138</div></div>
<div class="ttc" id="aclassHyperParameterOpt__Worker_1_1MyWorker_html_a916cc68d1d4ed527c58d8033915b05d7"><div class="ttname"><a href="classHyperParameterOpt__Worker_1_1MyWorker.html#a916cc68d1d4ed527c58d8033915b05d7">HyperParameterOpt_Worker.MyWorker.sleep_interval</a></div><div class="ttdeci">sleep_interval</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt_Worker.py:44</div></div>
<div class="ttc" id="anamespacerel__phase__package_html_ac0308a0754055143f4b0090bbe97114a"><div class="ttname"><a href="namespacerel__phase__package.html#ac0308a0754055143f4b0090bbe97114a">rel_phase_package.fit_plot</a></div><div class="ttdeci">def fit_plot(mean, var)</div><div class="ttdef"><b>Definition:</b> rel_phase_package.py:141</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_ac0e10f6fb7809d5240dfaa2957ac2218"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#ac0e10f6fb7809d5240dfaa2957ac2218">ModelTrainingAndValidation.LogCosh_plus_MSE</a></div><div class="ttdeci">def LogCosh_plus_MSE(y_true, y_pred)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:164</div></div>
<div class="ttc" id="aclassHyperParameterOpt__Worker_1_1MyWorker_html_a5d46af99d0ac96eb08fb72c46fd0b2da"><div class="ttname"><a href="classHyperParameterOpt__Worker_1_1MyWorker.html#a5d46af99d0ac96eb08fb72c46fd0b2da">HyperParameterOpt_Worker.MyWorker.compute</a></div><div class="ttdeci">def compute(self, config, budget, **kwargs)</div><div class="ttdef"><b>Definition:</b> HyperParameterOpt_Worker.py:46</div></div>
<div class="ttc" id="aclassDataGenerator_1_1DataGenerator_html_acec8fe0ea642cce7844cf6839c33f977"><div class="ttname"><a href="classDataGenerator_1_1DataGenerator.html#acec8fe0ea642cce7844cf6839c33f977">DataGenerator.DataGenerator.__len__</a></div><div class="ttdeci">def __len__(self)</div><div class="ttdef"><b>Definition:</b> DataGenerator.py:116</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_a1e7ef2eff040ba9808137584650ea8bf"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#a1e7ef2eff040ba9808137584650ea8bf">ModelTrainingAndValidation.MSE_plus_LogMSE</a></div><div class="ttdeci">def MSE_plus_LogMSE(y_true, y_pred)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:147</div></div>
<div class="ttc" id="anamespaceVisualization_html_a8cbc7721a052d8060c73ba8277638af6"><div class="ttname"><a href="namespaceVisualization.html#a8cbc7721a052d8060c73ba8277638af6">Visualization.get_labels</a></div><div class="ttdeci">def get_labels()</div><div class="ttdef"><b>Definition:</b> Visualization.py:628</div></div>
<div class="ttc" id="anamespaceModelTrainingAndValidation_html_aa64a3f5e2418adb84853e460315f5d70"><div class="ttname"><a href="namespaceModelTrainingAndValidation.html#aa64a3f5e2418adb84853e460315f5d70">ModelTrainingAndValidation.plot_interpol</a></div><div class="ttdeci">def plot_interpol(xesnew, ynew)</div><div class="ttdef"><b>Definition:</b> ModelTrainingAndValidation.py:58</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="Error__from__formula_8py.html">Error_from_formula.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
